Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.bytecode
Class CalculatorCompiler.DoubleDivDouble

    java.lang.Object
      com.saxonica.bytecode.CalculatorCompiler
          com.saxonica.bytecode.CalculatorCompiler.DoubleDivDouble

Enclosing class:
  CalculatorCompiler

    public static class CalculatorCompiler.DoubleDivDouble

extends CalculatorCompiler

Arithmetic: double / double (including types that promote to double)

Nested Class Summary

Nested classes/interfaces inherited from class com.saxonica.bytecode.CalculatorCompiler
`CalculatorCompiler.AnyDivAny, CalculatorCompiler.AnyIdivAny, CalculatorCompiler.AnyMinusAny, CalculatorCompiler.AnyModAny, CalculatorCompiler.AnyPlusAny, CalculatorCompiler.AnyTimesAny, CalculatorCompiler.DecimalDivDecimal, CalculatorCompiler.DecimalIdivDecimal, CalculatorCompiler.DecimalMinusDecimal, CalculatorCompiler.DecimalModDecimal, CalculatorCompiler.DecimalPlusDecimal, CalculatorCompiler.DecimalTimesDecimal, CalculatorCompiler.DoubleDivDouble, CalculatorCompiler.DoubleMinusDouble, CalculatorCompiler.DoubleModDouble, CalculatorCompiler.DoublePlusDouble, CalculatorCompiler.DoubleTimesDouble, CalculatorCompiler.FloatDivFloat, CalculatorCompiler.FloatIdivFloat, CalculatorCompiler.FloatMinusFloat, CalculatorCompiler.FloatModFloat, CalculatorCompiler.FloatPlusFloat, CalculatorCompiler.FloatTimesFloat, CalculatorCompiler.IntegerDivInteger, CalculatorCompiler.IntegerIdivInteger, CalculatorCompiler.IntegerMinusInteger, CalculatorCompiler.IntegerModInteger, CalculatorCompiler.IntegerPlusInteger, CalculatorCompiler.IntegerTimesInteger`

Constructor Summary
`CalculatorCompiler.DoubleDivDouble()`

Method Summary
`void` | `compute(Generator ga, SourceLocator locator)`

Methods inherited from class com.saxonica.bytecode.CalculatorCompiler
`setCompilerService, setExpressions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalculatorCompiler.DoubleDivDouble

    public CalculatorCompiler.DoubleDivDouble()

Method Detail

### compute

    public void compute(Generator ga,
                        SourceLocator locator)

  Specified by:
    `compute` in class `CalculatorCompiler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.